@echo off
mode 80,500
setlocal
title Rebuild LdbCard Cassette and Copy Into Payment Manager

rem ************************************************************************
rem * This source code is provided as an example.  No warranty is expressed
rem * or implied.  It is your responsibility to determine its suitability
rem * to your application, to modify it as necessary, and to validate
rem * its correctness.
rem *
rem * Licensed Materials - Property of IBM
rem * (c) Copyright IBM Corporation 2000. All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication, or
rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ************************************************************************

rem ############################################################################
rem #
rem # This script rebuilds the LdbCard cassette and copies the cassette files
rem # into the Payment Manager directories.  After this script is run, the
rem # LdbCard#Install.cmd script can be run to install the cassette.
rem #
rem ############################################################################

REM Rebuild all the class files
echo Compiling.
D:
CD D:\!PMCassette
SET JDKDIR=C:\jdk1.1.8
SET WORKDIR=com\ibm\etill\ldbcardcassette
SET ETILLDIR=C:\Program Files\IBM\PaymentManager
SET CLASSPATH=C:\JDK1.1.8\lib\classes.zip
SET CLASSPATH=%ETILLDIR%\eTillClasses.zip;%CLASSPATH%
SET CLASSPATH=%WORKDIR%\lib\japi.zip;%CLASSPATH%
SET CLASSPATH=.\;%CLASSPATH%
ERASE %WORKDIR%\*.class
%JDKDIR%\bin\javac %WORKDIR%\LdbCardCassette.java
%JDKDIR%\bin\javac %WORKDIR%\LdbCardCassetteQuery.java

REM Make the JAR file
echo Making the JAR File.
D:
CD D:\!PMCassette
SET JDKDIR=C:\jdk1.1.8
SET WORKDIR=com\ibm\etill\ldbcardcassette
SET TARGET=LdbCardCassette.jar
XCOPY %WORKDIR%\*.properties .\
%JDKDIR%\bin\jar cf0 %TARGET% %WORKDIR%\*.class *.properties
ERASE *.properties
COPY %TARGET% %WORKDIR%\lib

REM Copy the cassette's files into the production system.
echo Copying the files into the Payment Manager directories.
D:
CD D:\!PMCassette
SET WORKDIR=com\ibm\etill\ldbcardcassette
SET ETILLDIR=C:\Program Files\IBM\PaymentManager
XCOPY %WORKDIR%\*.cmd "%ETILLDIR%"
XCOPY %WORKDIR%\*.sql "%ETILLDIR%\Archive"
XCOPY %WORKDIR%\*.PSPL "%ETILLDIR%\pspl"
XCOPY %WORKDIR%\lib\*.* "%ETILLDIR%"

REM Report Complete
echo If no error messages appear above, the cassette has been
echo rebuilt and copied into the production Payment Manager.
pause
endlocal
exit
