INSERT INTO ETCASSETTECFG VALUES (
   'LdbCard',
   'ibm',
   0,
   1,
   0,
   1,
   0,
   NULL,
   1,
   '2.1',
   NULL,
   NULL,
   '$CV=2.1.4',
   NULL
);

CREATE TABLE LDBCARDACCOUNT (
   MerchantNumber            VARCHAR(9)  NOT NULL,
   AccountNumber             VARCHAR(9)  NOT NULL,
   Currency                  VARCHAR(3)  NOT NULL,
   UserId                    VARCHAR(10) NOT NULL,
   Password                  VARCHAR(10) NOT NULL,
   LdbCardId                 VARCHAR(10) NOT NULL,
   LdbCardRmiUrl             VARCHAR(200) NOT NULL,
   BatchCloseTime            INTEGER,
   MinBatchTotal             INTEGER,
   MaxBatchSize              INTEGER,
   PRIMARY KEY               (MerchantNumber, AccountNumber)
);

CREATE VIEW LDBCARDACCOUNTVIEW AS
   SELECT
      ETACCOUNTCFG.*,
      LDBCARDACCOUNT.Currency,
      LDBCARDACCOUNT.UserId,
      LDBCARDACCOUNT.Password,
      LDBCARDACCOUNT.LdbCardId,
      LDBCARDACCOUNT.LdbCardRmiUrl,
      LDBCARDACCOUNT.BatchCloseTime,
      LDBCARDACCOUNT.MinBatchTotal,
      LDBCARDACCOUNT.MaxBatchSize
  FROM ETACCOUNTCFG, LDBCARDACCOUNT
  WHERE
    LDBCARDACCOUNT.MerchantNumber = ETACCOUNTCFG.MerchantNumber AND
    LDBCARDACCOUNT.AccountNumber  = ETACCOUNTCFG.AccountNumber;

CREATE TABLE LDBCARDBATCH(
   MerchantNumber            VARCHAR(9) NOT NULL,
   BatchNumber               VARCHAR(9) NOT NULL,
   ApprovalCode              VARCHAR(40),
   DeclineReason             VARCHAR(40),
   ClosedToNewTrans          INTEGER,
   PRIMARY KEY               (MerchantNumber, BatchNumber)
);

CREATE VIEW LDBCARDBATCHVIEW AS
   SELECT
      ETBATCHVIEW.*,
      LDBCARDBATCH.ApprovalCode,
      LDBCARDBATCH.DeclineReason,
      LDBCARDBATCH.ClosedToNewTrans
   FROM ETBATCHVIEW, LDBCARDBATCH
   WHERE
      LDBCARDBATCH.MerchantNumber = ETBATCHVIEW.MerchantName AND
      LDBCARDBATCH.BatchNumber    = ETBATCHVIEW.BatchNumber;

CREATE TABLE LDBCARDORDER(
   MerchantNumber            VARCHAR(9) NOT NULL,
   OrderNumber               VARCHAR(9) NOT NULL,
   AccountNumber             VARCHAR(9) NOT NULL,
   AmountApproved            INTEGER,
   Pan                       VARCHAR(19) NOT NULL,
   Expiry                    VARCHAR(6) NOT NULL,
   Brand                     VARCHAR(40) NOT NULL,
   Address                   VARCHAR(80),
   PostalCode                VARCHAR(10),
   PRIMARY KEY               (MerchantNumber, OrderNumber)
);

CREATE VIEW LDBCARDORDERVIEW AS
   SELECT
      ETORDERVIEW.*,
      LDBCARDORDER.AmountApproved,
      LDBCARDORDER.Pan,
      LDBCARDORDER.Expiry,
      LDBCARDORDER.Brand,
      LDBCARDORDER.Address,
      LDBCARDORDER.PostalCode
   FROM ETORDERVIEW, LDBCARDORDER
   WHERE
      LDBCARDORDER.MerchantNumber = ETORDERVIEW.MerchantName AND
      LDBCARDORDER.OrderNumber    = ETORDERVIEW.OrderNumber;


CREATE TABLE LDBCARDPAYMENT(
   MerchantNumber            VARCHAR(9) NOT NULL,
   OrderNumber               VARCHAR(9) NOT NULL,
   PaymentNumber             VARCHAR(9) NOT NULL,
   ApprovalCode              VARCHAR(40),
   DeclineReason             VARCHAR(40),
   PRIMARY KEY               (MerchantNumber, OrderNumber, PaymentNumber)
);

CREATE VIEW LDBCARDPAYMENTVIEW AS
   SELECT
      ETPAYMENTVIEW.*,
      LDBCARDPAYMENT.ApprovalCode,
      LDBCARDPAYMENT.DeclineReason
   FROM ETPAYMENTVIEW, LDBCARDPAYMENT
   WHERE
      LDBCARDPAYMENT.MerchantNumber = ETPAYMENTVIEW.MerchantName AND
      LDBCARDPAYMENT.OrderNumber    = ETPAYMENTVIEW.OrderNumber  AND
      LDBCARDPAYMENT.PaymentNumber  = ETPAYMENTVIEW.PaymentNumber;

CREATE VIEW LDBCARDPAYBATVIEW AS
   SELECT
      ETBATCHPAYMENTVIEW.*,
      LDBCARDPAYMENT.ApprovalCode,
      LDBCARDPAYMENT.DeclineReason
   FROM ETBATCHPAYMENTVIEW, LDBCARDPAYMENT
   WHERE
      LDBCARDPAYMENT.MerchantNumber = ETBATCHPAYMENTVIEW.MerchantName AND
      LDBCARDPAYMENT.OrderNumber    = ETBATCHPAYMENTVIEW.OrderNumber  AND
      LDBCARDPAYMENT.PaymentNumber  = ETBATCHPAYMENTVIEW.PaymentNumber;

CREATE TABLE LDBCARDCREDIT(
   MerchantNumber            VARCHAR(9) NOT NULL,
   OrderNumber               VARCHAR(9) NOT NULL,
   CreditNumber              VARCHAR(9) NOT NULL,
   ApprovalCode              VARCHAR(40),
   DeclineReason             VARCHAR(40),
   PRIMARY KEY               (MerchantNumber, OrderNumber, CreditNumber)
);

CREATE VIEW LDBCARDCREDITVIEW AS
   SELECT
      ETCREDITVIEW.*,
      LDBCARDCREDIT.ApprovalCode,
      LDBCARDCREDIT.DeclineReason
   FROM ETCREDITVIEW, LDBCARDCREDIT
   WHERE
      LDBCARDCREDIT.MerchantNumber = ETCREDITVIEW.MerchantName AND
      LDBCARDCREDIT.OrderNumber    = ETCREDITVIEW.OrderNumber  AND
      LDBCARDCREDIT.CreditNumber   = ETCREDITVIEW.CreditNumber;

CREATE VIEW LDBCARDCREBATVIEW AS
   SELECT
      ETBATCHCREDITVIEW.*,
      LDBCARDCREDIT.ApprovalCode,
      LDBCARDCREDIT.DeclineReason
   FROM ETBATCHCREDITVIEW, LDBCARDCREDIT
   WHERE
      LDBCARDCREDIT.MerchantNumber = ETBATCHCREDITVIEW.MerchantName AND
      LDBCARDCREDIT.OrderNumber    = ETBATCHCREDITVIEW.OrderNumber  AND
      LDBCARDCREDIT.CreditNumber   = ETBATCHCREDITVIEW.CreditNumber;

